NAND_SETUP_READ_RETR(9)

NAME
nand_setup_read_retry - [INTERN] Set the READ RETRY mode

SYNOPSIS

int nand_setup_read_retry(struct mtd_info * mtd, int retry_mode);

ARGUMENTS

mtd
    MTD device structure

retry_mode
    the retry mode to use

DESCRIPTION

Some vendors supply a special command to shift the Vt threshold, to be used when there are too many bitflips in a page (i.e., ECC error). After setting a new threshold, the host should retry reading the page.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT